Description

en:
When symbol size (like meters) refers to a size in the world, works great in the view. But the symbol in the TOC and de leyend
displays a unapropiate size, wich does not refers to the view size. I guess TOC and legends always shows size in "pixels y the
screen".
Addig things like character symbols, displacing, and line decoration; it becomes even worse as long as each feature seems to respond
to diferent size references.
print screen attached

es:
cuando el tamaño de un símbolo se fija en relación al mundo (por ejemplo metros en el mundo) funciona perfecto en la vista, pero a la
hora de insertar una leyenda en el mapa el tamaño del símbolo de referencia no responde a la representación el a vista. Creo que
tanto en la TOC como en la leyenda el símbolo se muestra en pixels en la pantalla, lo cuan muchas veces da pésimos resultados
visuales.
Si incorporamos desplazamientos y decoraciones de líneas la cosa se complica aún más en tato cada recurso parece tomar un
criterio distinto, escalándose el símbolo de manera no uniforme.
adjunto pantallazo de referencia.

History
#1 - 04/07/2012 08:28 PM - Manuel Madrid
- Priority changed from Normal to Low

#2 - 05/13/2013 06:02 PM - Manuel Madrid
- Category set to Symbology

#3 - 01/13/2014 08:09 PM - Álvaro Anguix
- Assignee set to Juan Lucas Domínguez
- Priority changed from Low to Normal

#4 - 01/16/2014 12:29 PM - Álvaro Anguix
- Target version set to 2.1.0-2218-testing

#5 - 01/20/2014 05:26 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
Changing symbol size when drawing inside a rectangle. This is not thread-safe (we already have a case like this when using the 'setCartographicSize'
method). In order to prevent problems, the symbol is cloned when drawing it in the TOC. Also, there is a small change to improve how the decorator is
drawn, to prevent a half-hidden image at the corner of the rectangle.
#6 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel

#7 - 01/27/2014 12:51 PM - Álvaro Anguix
- Status changed from Fixed to Closed
